Bug 2718 - filesystem and systemd were updated to move /var/run and /var/lock to tmpfs [UPDATE REQUEST]
: filesystem and systemd were updated to move /var/run and /var/lock to tmpfs [...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 13:47 MSD by Alexander Burmashev
Modified: 2013-10-14 10:50 MSD (History)
2 users (show)

See Also:
RPM Package: filesystem
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-09-27 13:47:14 MSD
filesystem and systemd were updated to move /var/run and /var/lock tmpfs
Comment 1 Alexander Burmashev 2013-09-27 13:49:36 MSD
Advisory:
Some small changes to make  /var/run and /var/lock tpmfs.
Actually they are becoming symlinks to /run that is already in tpmfs,
like fedora>=16.

Additional info:
This is requires to be more compatible with upstream.
It "fixes" some problems with files in /var/run and /var/lock not deleted properly at reboot.

It may cause problems with some utils that do not create their lock files properly, but in such case this utils should be fixed. A good example is mysql


Buildlists:
https://abf.rosalinux.ru/build_lists/1317519
https://abf.rosalinux.ru/build_lists/1317520
Comment 2 Alexander Burmashev 2013-09-30 15:45:27 MSD
Mysql was already patched to be compatible with this change
https://abf.rosalinux.ru/build_lists/1336408
https://abf.rosalinux.ru/build_lists/1336409
Comment 3 Vladimir Potapov 2013-10-02 08:19:50 MSD
(In reply to comment #0)
> filesystem and systemd were updated to move /var/run and /var/lock tmpfs
I can't found systemd update.

on i586 system after update:
#systemctl | grep failed
mysqld.service            loaded failed failed        MySQL database server

#systemctl status mysql.service
mysql.service
          Loaded: error (Reason: No such file or directory)
          Active: inactive (dead)
Comment 4 Alexander Burmashev 2013-10-02 10:38:07 MSD
systemd with the fixed part was already pushed.
Did you install new mysql from buildlists, that i pasted below filesystem ?
Comment 5 Vladimir Potapov 2013-10-02 10:47:41 MSD
(In reply to comment #4)
> systemd with the fixed part was already pushed.
> Did you install new mysql from buildlists, that i pasted below filesystem ?
Yes, I install mysql.
Comment 6 Alexander Burmashev 2013-10-04 17:52:31 MSD
Do not close bug yet, ABF was broken and i was not able to provide a fixed package in time...
Comment 7 Alexander Burmashev 2013-10-08 14:36:55 MSD
Show please 
rpm -qa |grep filesystem
rpm -qa |grep mysql
systemctl start mysqld
systemctl status mysqld
Comment 8 Vladimir Potapov 2013-10-08 15:42:46 MSD
# rpm -qa |grep filesystem
telepathy-filesystem-0.0.1-7-rosa2012.1.noarch
filesystem-2.1.9-23-rosa2012.1.i586
# rpm -qa |grep mysql
qt4-database-plugin-mysql-4.8.5-6-rosa2012.1.i586
mysql-plugin-5.5.30-2-rosa2012.1.i586
libmysqld0-5.5.30-2-rosa2012.1.i586
libmysqlclient18-5.5.30-2-rosa2012.1.i586
mysql-client-5.5.30-2-rosa2012.1.i586
mysql-common-5.5.30-2-rosa2012.1.noarch
mysql-server-5.5.30-2-rosa2012.1.i586
mysql-5.5.30-2-rosa2012.1.i586
#systemctl start mysqld
Job for mysqld.service failed. See 'systemctl status mysqld.service' and 'journalctl' for details
# systemctl status mysqld
mysqld.service - MySQL database server
          Loaded: loaded (/lib/systemd/system/mysqld.service; enabled)
          Active: failed (Result: start-limit) since Tue, 08 Oct 2013 20:41:55 +0900; 32s ago
         Process: 25473 ExecStartPost=/usr/bin/mysqld-wait-ready $MAINPID (code=exited, status=1/FAILURE)
         Process: 25295 ExecStart=/usr/bin/mysqld_safe --nowatch --basedir=/usr (code=exited, status=0/SUCCESS)
         Process: 25277 ExecStartPre=/usr/bin/mysqld-prepare-db-dir (code=exited, status=0/SUCCESS)
        Main PID: 25472 (code=exited, status=1/FAILURE)
          CGroup: name=systemd:/system/mysqld.service

Oct 08 20:41:55 FRESHx86.keleghome systemd[1]: Failed to start MySQL database server.
Oct 08 20:41:55 FRESHx86.keleghome systemd[1]: Stopping MySQL database server...
Oct 08 20:41:55 FRESHx86.keleghome systemd[1]: Starting MySQL database server...
Oct 08 20:41:55 FRESHx86.keleghome systemd[1]: Failed to start MySQL database server.
Comment 9 Alexander Burmashev 2013-10-08 15:46:24 MSD
journalctl -a |tail -n 20

better run it exactly after 
systemctl start mysqld
Comment 10 Vladimir Potapov 2013-10-08 15:58:25 MSD
journalctl -a |tail -n 20
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: Starting MySQL database server...
Oct 08 20:57:16 FRESHx86.keleghome mysqld-prepare-db-dir[11100]: touch: невозможно выполнить touch для «/var/log/mysqld/mysqld.log»: Нет такого файла или каталога
Oct 08 20:57:16 FRESHx86.keleghome mysqld-prepare-db-dir[11100]: chown: невозможно получить доступ к «/var/log/mysqld/mysqld.log»: Нет такого файла или каталога
Oct 08 20:57:16 FRESHx86.keleghome mysqld-prepare-db-dir[11100]: chmod: невозможно получить доступ к «/var/log/mysqld/mysqld.log»: Нет такого файла или каталога
Oct 08 20:57:16 FRESHx86.keleghome mysqld_safe[11118]: 131008 20:57:16 mysqld_safe Logging to '/var/log/mysqld/mysqld.log'.
Oct 08 20:57:16 FRESHx86.keleghome mysqld_safe[11118]: touch: невозможно выполнить touch для «/var/log/mysqld/mysqld.log»: Нет такого файла или каталога
Oct 08 20:57:16 FRESHx86.keleghome mysqld_safe[11118]: chmod: невозможно получить доступ к «/var/log/mysqld/mysqld.log»: Нет такого файла или каталога
Oct 08 20:57:16 FRESHx86.keleghome mysqld_safe[11118]: 131008 20:57:16 mysqld_safe Starting mysqld daemon with databases from /var/lib/mysql
Oct 08 20:57:16 FRESHx86.keleghome mysqld_safe[11118]: /usr/bin/mysqld_safe: строка 130: /var/log/mysqld/mysqld.log: Нет такого файла или каталога
Oct 08 20:57:16 FRESHx86.keleghome mysqld_safe[11118]: /usr/bin/mysqld_safe: строка 170: /var/log/mysqld/mysqld.log: Нет такого файла или каталога
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: mysqld.service: main process exited, code=exited, status=1
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: mysqld.service: control process exited, code=exited status=1
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: Failed to start MySQL database server.
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: Unit mysqld.service entered failed state.
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: mysqld.service holdoff time over, scheduling restart.
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: Stopping MySQL database server...
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: Starting MySQL database server...
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: mysqld.service start request repeated too quickly, refusing to start.
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: Failed to start MySQL database server.
Oct 08 20:57:16 FRESHx86.keleghome systemd[1]: Unit mysqld.service entered failed state.
Comment 11 Alexander Burmashev 2013-10-08 17:23:22 MSD
Ok, mysql was patched a bit to be compatible with /var/run, /run, /var/log in tmpfs

buildlists:
https://abf.rosalinux.ru/build_lists/1340004
https://abf.rosalinux.ru/build_lists/1340005
Comment 12 Postnikov Dmitry 2013-10-09 00:54:21 MSD
(In reply to comment #11)
> Ok, mysql was patched a bit to be compatible with /var/run, /run, /var/log
> in tmpfs
> 
> buildlists:
> https://abf.rosalinux.ru/build_lists/1340004
> https://abf.rosalinux.ru/build_lists/1340005

*********************************
All work OK, on 3 computers
*********************************
Comment 13 Vladimir Potapov 2013-10-09 17:27:50 MSD
mysql-5.5.30-3-rosa2012.1
filesystem-2.1.9-23-rosa2012.1
********************* Advisory ************************
Some small changes to make  /var/run and /var/lock tpmfs.
Actually they are becoming symlinks to /run that is already in tpmfs,
like fedora>=16.
mysql was patched a bit to be compatible with /var/run, /run, /var/log in tmpfs
*******************************************************
QA Verified